NamingTable
Date: 2017-05-25

org.apache.fontbox.ttf

## Class NamingTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.NamingTable

-     public class NamingTable
      extends TTFTable

  A table in a true type font.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG` A tag that identifies this table type.

    - ### Fields inherited from class org.apache.fontbox.ttf.TTFTable

      `font, initialized`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFontFamily()` Returns the font family name, in English.
    `java.lang.String` | `getFontSubFamily()` Returns the font sub family name, in English.
    `java.lang.String` | `getName(int nameId, int platformId, int encodingId, int languageId)` Returns a name from the table, or null it it does not exist.
    `java.util.List<NameRecord>` | `getNameRecords()` This will get the name records for this naming table.
    `java.lang.String` | `getPostScriptName()` Returns the PostScript name.
    `void` | `read(TrueTypeFont ttf, org.apache.fontbox.ttf.TTFDataStream data)` This will read the required data from the stream.

    - ### Methods inherited from class org.apache.fontbox.ttf.TTFTable

      `getCheckSum, getInitialized, getLength, getOffset, getTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      A tag that identifies this table type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### read

          public void read(TrueTypeFont ttf,
                  org.apache.fontbox.ttf.TTFDataStream data)
                    throws java.io.IOException

      This will read the required data from the stream.
      Parameters:
        `ttf` - The font that is being read.
        `data` - The stream to read the data from.
      Throws:
        `java.io.IOException` - If there is an error reading the data.

    - #### getName

          public java.lang.String getName(int nameId,
                                 int platformId,
                                 int encodingId,
                                 int languageId)

      Returns a name from the table, or null it it does not exist.
      Parameters:
        `nameId` - Name ID from NameRecord constants.
        `platformId` - Platform ID from NameRecord constants.
        `encodingId` - Platform Encoding ID from NameRecord constants.
        `languageId` - Language ID from NameRecord constants.
      Returns:
        name, or null

    - #### getNameRecords

          public java.util.List<NameRecord> getNameRecords()

      This will get the name records for this naming table.
      Returns:
        A list of NameRecord objects.

    - #### getFontFamily

          public java.lang.String getFontFamily()

      Returns the font family name, in English.
      Returns:
        the font family name, in English

    - #### getFontSubFamily

          public java.lang.String getFontSubFamily()

      Returns the font sub family name, in English.
      Returns:
        the font sub family name, in English

    - #### getPostScriptName

          public java.lang.String getPostScriptName()

      Returns the PostScript name.
      Returns:
        the PostScript name